#include <bits/stdc++.h>
using namespace std;

int hany(int n[],int x, int q){
    for(int i=0;i<x;i++){
        if(n[i]==q){
            return i+1;
        }
        else if(n[i]>q){
            return -1-i;
        }
    }
    return -x-1;
}
int hol(int n, int x){
    int r=0;
    if(x>0){
        if(x<((n/2)+1)){ ///balra
            r=n-2*x+1;
        }
        else if(x>((n/2)+1)){ ///jobbra
            r=2*x-2-n;
        }
        else{
            r=0;
        }
    }
    else{
        n+=1;
        x*=-1;
        if(x<((n/2)+1)){ ///balra
            r=n-2*x+1;
        }
        else if(x>((n/2)+1)){ ///jobbra
            r=2*x-1-n;
        }
    }
    return r;
}
/// 1 3 5 7 9
int main()
{
    int n1,q1;
    cin>>n1>>q1;
    int n[n1],q[q1];
    for(int i=0;i<n1;i++){
        cin>>n[i];
    }
    sort(n,n+n1);
    for(int i=0;i<q1;i++){
        cin>>q[i];
    }
    for(int i=0;i<q1;i++){
            cout<<hol(n1,hany(n,n1,q[i]))<<endl;
    }
}